%define module pymongo

Name:           python-%{module}
Version:        2.5.2
Release:        %mkrel 5
Summary:        Python driver for MongoDB
Group:          Development/Python
# All code is ASL 2.0 except bson/time64*.{c,h} which is MIT
License:        ASL 2.0 and MIT
URL:            http://api.mongodb.org/python
Source0:        http://pypi.python.org/packages/source/p/pymongo/pymongo-%{version}.tar.gz
Requires:       python-bson = %{version}-%{release}
Provides:       pymongo = %{version}-%{release}
Obsoletes:      pymongo <= 2.1.1-3
BuildRequires:  python-devel
BuildRequires:  python-nose
BuildRequires:  python-setuptools

%description
The Python driver for MongoDB.

%package -n python-gridfs
Summary:        Python GridFS driver for MongoDB
Group:          Development/Python
Requires:       %{name} = %{version}-%{release}
Obsoletes:	python-pymongo-gridfs < 2.5.2-2

%description -n python-gridfs
GridFS is a storage specification for large objects in MongoDB.

%package -n python-bson
Summary:        Python bson library
Group:          Development/Python

%description -n python-bson
BSON is a binary-encoded serialization of JSON-like documents. BSON is designed
to be lightweight, traversable, and efficient. BSON, like JSON, supports the
embedding of objects and arrays within other objects and arrays.

%package -n python3-%{module}
Summary:        Python driver for MongoDB
BuildRequires:	python3-devel
BuildRequires:  python3-nose
BuildRequires:  python3-setuptools

%description -n python3-%{module}
The Python driver for MongoDB.

%package -n python3-gridfs
Summary:        Python GridFS driver for MongoDB
Group:          Development/Python
Requires:       python3-%{module} = %{version}-%{release}

%description -n python3-gridfs
GridFS is a storage specification for large objects in MongoDB.

%package -n python3-bson
Summary:        Python bson library
Group:          Development/Python

%description -n python3-bson
BSON is a binary-encoded serialization of JSON-like documents. BSON is designed
to be lightweight, traversable, and efficient. BSON, like JSON, supports the
embedding of objects and arrays within other objects and arrays.

%prep
%setup -q -n pymongo-%{version}
rm -r pymongo.egg-info

cp -a . %{py3dir}

%build
CFLAGS="%{optflags}" %{__python} setup.py build

pushd %{py3dir}
CFLAGS="%{optflags}" %{__python3} setup.py build
popd

%install
%{__python} setup.py install --skip-build --root %{buildroot}

pushd %{py3dir}
%{__python3} setup.py install --skip-build --root %{buildroot}
popd

%files
%doc LICENSE PKG-INFO README.rst doc
%{python_sitearch}/pymongo
%{python_sitearch}/pymongo-%{version}-*.egg-info

%files -n python-gridfs
%doc LICENSE PKG-INFO README.rst doc
%{python_sitearch}/gridfs

%files -n python-bson
%doc LICENSE PKG-INFO README.rst doc
%{python_sitearch}/bson

%files -n python3-%{module}
%doc LICENSE PKG-INFO README.rst doc
%{python3_sitearch}/pymongo
%{python3_sitearch}/pymongo-%{version}-*.egg-info

%files -n python3-gridfs
%doc LICENSE PKG-INFO README.rst doc
%{python3_sitearch}/gridfs

%files -n python3-bson
%doc LICENSE PKG-INFO README.rst doc
%{python3_sitearch}/bson



%changelog
* Tue Oct 22 2013 umeabot <umeabot> 2.5.2-5.mga4
+ Revision: 544103
- Mageia 4 Mass Rebuild

* Tue Oct 15 2013 pterjan <pterjan> 2.5.2-4.mga4
+ Revision: 499243
- Rebuild to add different pythonegg provides for python 2 and 3

* Wed Sep 04 2013 fwang <fwang> 2.5.2-3.mga4
+ Revision: 475007
- obsolete old package

* Tue Sep 03 2013 guillomovitch <guillomovitch> 2.5.2-2.mga4
+ Revision: 474861
- add python3 version

* Wed Jun 19 2013 guillomovitch <guillomovitch> 2.5.2-1.mga4
+ Revision: 445111
- new version

* Tue Apr 16 2013 guillomovitch <guillomovitch> 2.5-1.mga3
+ Revision: 410229
- imported package python-pymongo

